QT6OPTIONS(7)

IME
qt6options - Pogoste možnosti ukazne vrstice za vse aplikacije, ki temeljijo na Qt(TM) kompletu orodij

SINOPSIS

Qt aplikacija [-style= style / -style style] [-stylesheet= stylesheet / -stylesheet stylesheet] [-widgetcount] [-reverse] [-qmljsdebugger= port] [-platform platformName[:options]] [-platformpluginpath path] [-platformtheme platformTheme] [-plugin plugin] [-qwindowgeometry geometry] [-qwindowicon icon] [-qwindowtitle title] [-reverse] [-session session] [-display hostname:screen_number] [-geometry geometry] [-dialogs= [xp|none]] [-fontengine= freetype] [-h, --help in -? na Windows®] [-v --version]

MOŽNOSTI

Naslednje možnosti veljajo za vse Qt(TM) aplikacije:

-style= style / -style style
    Nastavite stil aplikacije GUI. Možne vrednosti so odvisne od konfiguracije sistema. Če je Qt(TM) preveden z dodatnimi slogi ali ima dodatne sloge kot vtičnike, ti bodo na voljo možnosti ukazne vrstice -style.

-stylesheet= stylesheet / -stylesheet stylesheet
    Nastavite slogovno tabelo aplikacije. Vrednost mora biti pot do datoteke, ki vsebuje slogovno datoteko.

-widgetcount
    Na koncu natisnite sporočilo o odpravljanju napak o številu pripomočkov, ki so ostali neuničeni in največjem številu pripomočkov, ki so obstajali hkrati.

-reverse
    Nastavite smer postavitve aplikacije na Qt::RightToLeft. Ta možnost je namenjena pomoči pri odpravljanju napak in se je ne sme uporabljati v proizvodnji. Privzeta vrednost je samodejno zaznana iz uporabnikovih področnih nastavitev (glejte tudi QLocale::textDirection()).

-qmljsdebugger= port
    Aktivirajte odpravljalnik napak QML/JS z določenimi vrati. Vrednost mora biti v formatu vrata:1234[,blok], kjer je blok neobvezen in bo poskrbel, da bo aplikacija čakala, dokler se z njo ne poveže razhroščevalnik.

-platform platformName[:options]
    Določite Qt(TM) vtičnik abstrakcije platforme (QPA).

-platformpluginpath path
    Določite pot do vtičnikov platforme.

-platformtheme platformTheme
    Določite temo platforme.

-plugin plugin
    Določite dodatne vtičnike za nalaganje. Argument se lahko pojavi večkrat.

-qwindowgeometry geometry
    Določite geometrijo okna za glavno okno s X11-sintakso. Na primer: -qwindowgeometry 100x100+50+50

-qwindowicon icon
    Nastavite privzeto ikono okna.

-qwindowtitle title
    Nastavite naslov prvega okna.

-session session
    Obnovite aplikacijo iz prejšnje seje.

-display hostname:screen_number
    Vklopite zaslon na X11. Preglasi spremenljivko okolja DISPLAY.

-geometry geometry
    Določite geometrijo okna za glavno okno na X11. Na primer: -geometrija 100x100+50+50

-dialogs= [xp|none]
    Na voljo samo za Windows® platformo. XP uporablja pogovorna okna v izvirnem slogu in jih noben ne onemogoči.

-fontengine= freetype
    Uporabite mehanizem pisave FreeType.

-h, --help in -? na Windows®
    Natisnite vse možnosti in opis aplikacije.

-v --version
    Prikažite niz različice aplikacije.

POGLEJ TUDI

kf6options(7)

AVTORJI

Man stran, prvotno napisana s strani Lauri Watts <lauri@kde.org>

Posodobljeno na Frameworks 5 avtor Burkhard Lück <lueck@hube-lueck.de>

Podatki za to stran priročnika so iz dokumentacije QApplication[1], Dokumentacija QGuiApplication[2] in Dokumentacija QCommandLineParser[3].

AUTHORS

Lauri Watts <lauri@kde.org>
    Author.

Burkhard Lück <lueck@hube-lueck.de>
    Author.

NOTES

1.  dokumentacije QApplication
    https://doc.qt.io/qt-6/qapplication.html#QApplication

2.  Dokumentacija QGuiApplication
    https:// doc.qt.io/qt-6/qguiapplication.html#QGuiApplication

3.  Dokumentacija QCommandLineParser
    https://doc.qt.io/qt-6/qcommandlineparser.html